package com.dlsm;

import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.context.ApplicationContext;

import java.time.LocalDate;
import java.util.*;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * webservice数据采集服务(天气-危货)
 * @author xxg
 * @date 2023-02-08
 */

@SpringBootApplication
@EnableTransactionManagement
@MapperScan("com.dlsm.mapper")
public class SpringbootsApplication {

	public static ApplicationContext appctx = null;
	public static Logger logger = LoggerFactory.getLogger(SpringbootsApplication.class);

	public SpringbootsApplication() {
	}

	public static void main(String[] args) {
		SpringApplication.run(SpringbootsApplication.class, args);
	}
}
